Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421382 - [abrt] xorg-x11-server-Xwayland: Segmentation fault at address 0x8
Summary: [abrt] xorg-x11-server-Xwayland: Segmentation fault at address 0x8
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:51532887d6f160b148521d16014...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 21:14 UTC by Jaša Bartelj
Modified: 2017-12-12 10:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:24:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (315 bytes, text/plain)
2017-02-11 21:14 UTC, Jaša Bartelj
no flags Details
File: dmesg (82.60 KB, text/plain)
2017-02-11 21:14 UTC, Jaša Bartelj
no flags Details
File: dso_list (238 bytes, text/plain)
2017-02-11 21:14 UTC, Jaša Bartelj
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (332 bytes, application/octet-stream)
2017-02-11 21:14 UTC, Jaša Bartelj
no flags Details
File: usr_share_xorg_conf_d.tar.gz (1.81 KB, application/octet-stream)
2017-02-11 21:14 UTC, Jaša Bartelj
no flags Details

Description Jaša Bartelj 2017-02-11 21:14:26 UTC
Description of problem:
Installed package apricots-0.2.6-16.fc24.x86_64 and launched the application, immediate crash to login screen/GDM.

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.19.1-3.fc25

Additional info:
reporter:       libreport-2.8.0
executable:     /usr/bin/Xwayland
kernel:         4.8.6-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (?+0x0) [0x590530]
1: /lib64/libpthread.so.0 (?+0x0) [0x7f2ffc4b75bf]
2: /usr/bin/Xwayland (?+0x0) [0x54cc10]
3: /usr/bin/Xwayland (?+0x0) [0x556260]
4: /usr/bin/Xwayland (?+0x0) [0x55a180]
5: /lib64/libc.so.6 (?+0x0) [0x7f2ffc100310]
6: /usr/bin/Xwayland (?+0x0) [0x423d60]
7: ? (?+0x0) [0x0]

Comment 1 Jaša Bartelj 2017-02-11 21:14:29 UTC
Created attachment 1249388 [details]
File: backtrace

Comment 2 Jaša Bartelj 2017-02-11 21:14:32 UTC
Created attachment 1249389 [details]
File: dmesg

Comment 3 Jaša Bartelj 2017-02-11 21:14:33 UTC
Created attachment 1249390 [details]
File: dso_list

Comment 4 Jaša Bartelj 2017-02-11 21:14:34 UTC
Created attachment 1249391 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 5 Jaša Bartelj 2017-02-11 21:14:36 UTC
Created attachment 1249392 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 6 Olivier Fourdan 2017-02-13 08:49:51 UTC
I can't make much sense of the backtrace:

$ addr2line -fe /usr/lib/debug/usr/bin/Xwayland.debug 0x590530 0x54cc10 0x556260 0x55a180 0x423d60

  WriteToClient() in /usr/src/debug/xorg-server-1.19.1/os/../include/callback.h:83
  ProcGetPointerMapping() in /usr/src/debug/xorg-server-1.19.1/dix/devices.c:1953
  ProcEstablishConnection() in /usr/src/debug/xorg-server-1.19.1/dix/dispatch.c:3620
  SetFontPath() in /usr/src/debug/xorg-server-1.19.1/dix/dixfonts.c:1677
  dixGetPrivateAddr() in /usr/src/debug/xorg-server-1.19.1/Xext/../include/privates.h:122

Is it reproducible on your system? I tried to reproduce but it works fine here.

Comment 7 Jaša Bartelj 2017-02-16 21:25:17 UTC
(In reply to Olivier Fourdan from comment #6)
> Is it reproducible on your system? I tried to reproduce but it works fine
> here.

No, I can not reproduce it after that initial crash. Now the game starts without issue.

Here is the dnf history:

# dnf history list
ID     | Command line             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
...
     3 | install apricots         | 2017-02-11 18:10 | Install        |    4   
     2 | update --refresh         | 2017-02-11 09:45 | I, U           |  563 EE
     1 |                          | 2016-11-15 22:27 | Install        | 1485 EE

Comment 8 Fedora End Of Life 2017-11-16 15:42:16 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2017-12-12 10:24:02 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.